Retrieve Expected Machine label values

View as Markdown
Retrieve paginated, unique, non-null values currently used for an Expected Machine label key. Labels without the requested key are ignored. Results are ordered by value ascending by default before pagination. Infrastructure Provider callers receive values from their Provider's Sites. Tenant Admin callers receive values only from Sites where `TargetedInstanceCreation` is effective. For organizations with both roles, the result is the union of the Provider's Sites and the privileged Tenant Sites. The optional siteId parameter further restricts the result.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
keystringRequiredformat: "^[^\u0000]*[^\s\u0000][^\u0000]*$"1-255 characters

Label key. It must not be empty, consist only of whitespace, or contain the Unicode NUL character (U+0000). Reserved path characters, including /, must be percent-encoded.

Query parameters

siteIdstringOptionalformat: "uuid"
ID of the Site to filter label values by
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100Defaults to 20
Page size for pagination query
orderByenumOptionalDefaults to VALUE_ASC

Ordering applied before pagination; defaults to VALUE_ASC

Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK

Errors

400
Bad Request Error
403
Forbidden Error